var APIBase = require("../../api.base");
var system = require("../../../system");

class TestAPI extends APIBase {
    constructor() {
        super();
        this.authSve = system.getObject("service.sign.authSve");
    }

    async nameTwo(pobj, query, req) {
        try {
            return await this.authSve.nameTwo(pobj);
        } catch (e) {
            console.log(e);
            return system.getResultFail(500, "请求异常")
        }
    }

    async bankThree(pobj, query, req) {
        try {
            return await this.authSve.bankThree(pobj);
        } catch (e) {
            console.log(e);
            return system.getResultFail(500, "请求异常")
        }
    }

    async bankFour(pobj, query, req) {
        try {
            return await this.authSve.bankFour(pobj);
        } catch (e) {
            console.log(e);
            return system.getResultFail(500, "请求异常")
        }
    }

    exam() {
        return "";
    }

    classDesc() {
        return {
            groupName: "",
            groupDesc: "",
            name: "",
            desc: "",
            exam: "",
        };
    }

    methodDescs() {
        return [
            {
                methodDesc: "",
                methodName: "",
                paramdescs: [
                    {
                        paramDesc: "",
                        paramName: "",
                        paramType: "",
                        defaultValue: "",
                    }
                ],
                rtnTypeDesc: "",
                rtnType: ""
            }
        ];
    }
}

module.exports = TestAPI;
